import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.atomic.AtomicInteger;

public class Producer implements Runnable{
	SynchronousQueue<Integer> sq;
	private static AtomicInteger  value = new AtomicInteger(1);

	public Producer(SynchronousQueue<Integer> sq) {
		super();
		this.sq = sq;
	}

	public void run(){
		try{
			Integer i = value.getAndIncrement();
			sq.put(i);
			System.out.println(i.toString() + "placed in the Synchronous Queue\n");
		}
		catch(InterruptedException e){
			e.printStackTrace();
		}
	}
}

